Skip to main content
DELETE
/
v5
/
invoicing
/
payments
Delete a set of payments
curl --request DELETE \
  --url https://sandbox.hurdlr.com/rest/v5/invoicing/payments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "ids": [
    123
  ]
}
'
{
  "invoiceId": "<string>",
  "invoiceName": "<string>",
  "success": true,
  "errorDescription": "<string>",
  "emailRetVal": {
    "status": "SUCCESS",
    "error": "<string>",
    "messageId": "<string>"
  },
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "refundStatus": "PENDING",
  "updateArInvoiceStatus": true,
  "arPayment": {
    "apiName": "GOOGLELOGIN",
    "plaidItemAccountId": "<string>",
    "plaidDisplayName": "<string>",
    "plaidAccountNo": "<string>",
    "plaidType": "<string>",
    "plaidApiEntityId": "<string>",
    "id": "<string>",
    "business": {
      "id": "<string>",
      "companyId": "<string>",
      "companyIdLong": 123,
      "customerPartnerId": 123,
      "name": "<string>",
      "showName": true,
      "contactFirst": "<string>",
      "contactLast": "<string>",
      "showContactFirstLast": true,
      "email": "<string>",
      "showEmail": true,
      "phoneWork": "<string>",
      "showPhoneWork": true,
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "showAddress": true,
      "tin": "<string>",
      "invoicePrefix": "<string>",
      "plaidApiEntityIds": "<string>",
      "status": "ACTIVE",
      "apiName": "GOOGLELOGIN",
      "apiClientId": "<string>",
      "bizType": "ADVISOR_COACH",
      "labelId": 123,
      "level0Id": 123,
      "createdDate": "2023-11-07T05:31:56Z",
      "idPrefix": "COMPANY",
      "nameColumnNameForPagination": "<string>",
      "externalId": "<string>"
    },
    "companyId": "<string>",
    "mode": "<string>",
    "refNo": "<string>",
    "date": "2023-11-07T05:31:56Z",
    "amount": 123,
    "amountApplied": 123,
    "merchantFee": 123,
    "bankTransferId": 123,
    "paymentApiTranId": "<string>",
    "clientId": "<string>",
    "receiptUrl": "<string>",
    "pendingRevenueId": "<string>",
    "revenueId": "<string>",
    "arInvoiceId": "<string>",
    "status": "ACTIVE",
    "reviewStatus": "PARTNER_REVIEW_REQUIRED",
    "refundId": "<string>",
    "refundStatus": "PENDING",
    "error": "<string>",
    "extensionId": "<string>",
    "glAccountId": 123,
    "apiRevenueId": "<string>",
    "apiSecondarySourceId": "<string>",
    "autoCharge": true,
    "paymentMethod": "CREDIT",
    "glSourceId": 123,
    "source": "EXPENSE",
    "direction": "IN",
    "bankAccountId": 123,
    "glAccountIdStr": "<string>",
    "glAmount": 123,
    "generalLedgerStatus": "ACTIVE",
    "apiSourceId": "<string>",
    "amountMagnitude": 123,
    "dateForPagination": "2023-11-07T05:31:56Z",
    "parentId": "<string>",
    "parentEntityId": 123,
    "transactionAccount": {
      "name": "<string>",
      "id": "<string>",
      "mask": "<string>",
      "autoClassify": "OFF",
      "glAccountId": "<string>",
      "apiAccountId": "<string>",
      "apiInstitutionId": "<string>",
      "defaultClientId": "<string>"
    },
    "externalId": "<string>",
    "idPrefix": "COMPANY"
  },
  "paymentError": {
    "empty": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
ids
integer<int64>[]
required

Array of ids

Array of ids

Response

200 - application/json

Successful operation

invoiceId
string
invoiceName
string
success
boolean
errorDescription
string
emailRetVal
object
errors
object

Error object containing details errors incurred, if any

refundStatus
enum<string>
Available options:
PENDING,
SUCCEEDED,
FAILED,
UNKNOWN
updateArInvoiceStatus
boolean
arPayment
object
paymentError
object